<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ColumnShifter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ColumnShifter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColumnShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
               title="class in org.apache.poi.ss.usermodel.helpers"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
               title="class in org.apache.poi.ss.usermodel.helpers"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/helpers/ColumnShifter.html" target="_top">Frames</a>
        </li>
        <li><a href="ColumnShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.helpers</div>
    <h2 title="Class ColumnShifter" class="title">Class ColumnShifter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                       title="class in org.apache.poi.ss.usermodel.helpers">org.apache.poi.ss.usermodel.helpers.BaseRowColShifter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.usermodel.helpers.ColumnShifter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html"
                           title="class in org.apache.poi.hssf.usermodel.helpers">HSSFColumnShifter</a>, <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFColumnShifter.html"
                            title="class in org.apache.poi.xssf.usermodel.helpers">XSSFColumnShifter</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../../org/apache/poi/util/Beta.html"
                        title="annotation in org.apache.poi.util">@Beta</a>
public abstract class <span class="typeNameLabel">ColumnShifter</span>
extends <a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
           title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></pre>
                <div class="block">Helper for shifting columns up or down</div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 4.0.0</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html#sheet">sheet</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html#ColumnShifter-org.apache.poi.ss.usermodel.Sheet-">ColumnShifter</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sh)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html#shiftColumns-int-int-int-">shiftColumns</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/ColumnShifter.html#shiftMergedRegions-int-int-int-">shiftMergedRegions</a></span>(int&nbsp;startColumn,
                                    int&nbsp;endColumn,
                                    int&nbsp;n)</code>
                                    <div class="block">Shifts, grows, or shrinks the merged regions due to a column
                                        shift.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.helpers.BaseRowColShifter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.usermodel.helpers.<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                        title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#shiftRange-org.apache.poi.ss.formula.FormulaShifter-org.apache.poi.ss.util.CellRangeAddress-int-">shiftRange</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sheet">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>sheet</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a> sheet</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ColumnShifter-org.apache.poi.ss.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ColumnShifter</h4>
                                <pre>public&nbsp;ColumnShifter(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.ss.usermodel">Sheet</a>&nbsp;sh)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="shiftMergedRegions-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftMergedRegions</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&gt;&nbsp;shiftMergedRegions(int&nbsp;startColumn,
                                                           int&nbsp;endColumn,
                                                           int&nbsp;n)</pre>
                                <div class="block">Shifts, grows, or shrinks the merged regions due to a column shift.
                                    Merged regions that are completely overlaid by shifting will be deleted.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#shiftMergedRegions-int-int-int-">shiftMergedRegions</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
                                                title="class in org.apache.poi.ss.usermodel.helpers">BaseRowColShifter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>startColumn</code> - the column to start shifting</dd>
                                    <dd><code>endColumn</code> - the column to end shifting</dd>
                                    <dd><code>n</code> - the number of columns to shift</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array of affected merged regions, doesn't contain deleted ones</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftColumns-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>shiftColumns</h4>
                                <pre>public&nbsp;void&nbsp;shiftColumns(int&nbsp;firstShiftColumnIndex,
                         int&nbsp;lastShiftColumnIndex,
                         int&nbsp;step)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColumnShifter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html"
               title="class in org.apache.poi.ss.usermodel.helpers"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/helpers/RowShifter.html"
               title="class in org.apache.poi.ss.usermodel.helpers"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/helpers/ColumnShifter.html" target="_top">Frames</a>
        </li>
        <li><a href="ColumnShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
